/**
 * Copyright 2009-2010 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.javacrumbs.smock.http.test.server.servlet.test;


import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;

@WebService(serviceName="TestWebService", targetNamespace="http://javacrumbs.net/test")
public class TstWebService {
	private static ThreadLocal<String> text = new ThreadLocal<String>();
	
	@WebMethod
	public String testMethod(@WebParam(name="text")String text)
	{
		TstWebService.text.set(text);
		return "Hallo "+text+"!";
	}
	
	public static String getValue()
	{
		return text.get();
	}
	
	public static void clean()
	{
		text.remove();
	}

}
